#ifndef ADCSETTING_H
#define ADCSETTING_H
#include <Arduino.h>
#include <math.h>

class AdcSetting
{
  public:
    AdcSetting(double vref, uint8_t adcResolution, uint8_t measureIteration = 5, uint16_t delayBetweenIteration = 5);
    ~AdcSetting(){}
    
    uint8_t getMeasureIteration();
    uint16_t getDelayBetweenIteration(){ return  _delayBetweenIteration;}
    double getQuantum();
    double getVref(){return _vref;}
  protected:
  private:
    double _vref;
    uint8_t _adcResolution;
    double _quantum;
    uint8_t _measureIteration;
    uint16_t _delayBetweenIteration;
};

#endif //ADCSETTING_H
